UnknownOID Class Reference

Exception thrown when an unknown object identifier is encountered. More...

Inheritance diagram for UnknownOID:

## Public Member Functions

| UnknownOID ()
| Construct an UnknownOID.
| UnknownOID (const char *err)
| Construct an UnknownOID. More...
Public Member Functions inherited from BERDecodeErr
| BERDecodeErr (const std::string &s)
Public Member Functions inherited from InvalidArgument
| InvalidArgument (const std::string &s)
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Additional Inherited Members

Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED, INVALID_ARGUMENT, CANNOT_FLUSH, DATA_INTEGRITY_CHECK_FAILED, INVALID_DATA_FORMAT, IO_ERROR, OTHER_ERROR }
| Error types or categories. More...

## Detailed Description

Exception thrown when an unknown object identifier is encountered.

Definition at line 65 of file asn.h.

## Constructor & Destructor Documentation

## UnknownOID()

UnknownOID::UnknownOID | ( | const char * | err | ) |

inline

Construct an UnknownOID.

Parameters

  err | error message to use for the execption

Definition at line 72 of file asn.h.

The documentation for this class was generated from the following file:

- asn.h